using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SPCAMLEditor
{
    public partial class OpenSiteDialog : Form
    {
        public OpenSiteDialog()
        {
            InitializeComponent();
            FormBorderStyle = FormBorderStyle.FixedSingle;            
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.TxtListUrl.Focus();
        }

        public string SiteUrl
        {
            get
            {
                return this.TxtListUrl.Text.Trim();
            }
            set
            {
                this.TxtListUrl.Text = value;
                this.TxtListUrl.Focus();
            }
        }

        private void BtnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;            
        }

        private void BtnOK_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
           
        }
    }
}